io.etcd.jetcd.api

## Interface CompareOrBuilder

All Superinterfaces:
  com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder

All Known Implementing Classes:
  Compare, Compare.Builder

    public interface CompareOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`long` `getCreateRevision()` create_revision is the creation revision of the given key
`com.google.protobuf.ByteString` `getKey()` key is the subject key for the comparison operation.
`long` `getModRevision()` mod_revision is the last modified revision of the given key.
`com.google.protobuf.ByteString` `getRangeEnd()` range_end compares the given target to all keys in the range [key, range_end).
`Compare.CompareResult` `getResult()` result is logical comparison operation for this comparison.
`int` `getResultValue()` result is logical comparison operation for this comparison.
`Compare.CompareTarget` `getTarget()` target is the key-value field to inspect for the comparison.
`Compare.TargetUnionCase` `getTargetUnionCase()`
`int` `getTargetValue()` target is the key-value field to inspect for the comparison.
`com.google.protobuf.ByteString` `getValue()` value is the value of the given key, in bytes.
`long` `getVersion()` version is the version of the given key

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Method Detail

#### getResultValue

    int getResultValue()

     result is logical comparison operation for this comparison.

`.etcdserverpb.Compare.CompareResult result = 1;`

Returns:
  The enum numeric value on the wire for result.

#### getResult

    Compare.CompareResult getResult()

     result is logical comparison operation for this comparison.

`.etcdserverpb.Compare.CompareResult result = 1;`

Returns:
  The result.

#### getTargetValue

    int getTargetValue()

     target is the key-value field to inspect for the comparison.

`.etcdserverpb.Compare.CompareTarget target = 2;`

Returns:
  The enum numeric value on the wire for target.

#### getTarget

    Compare.CompareTarget getTarget()

     target is the key-value field to inspect for the comparison.

`.etcdserverpb.Compare.CompareTarget target = 2;`

Returns:
  The target.

#### getKey

    com.google.protobuf.ByteString getKey()

     key is the subject key for the comparison operation.

`bytes key = 3;`

Returns:
  The key.

#### getVersion

    long getVersion()

     version is the version of the given key

`int64 version = 4;`

Returns:
  The version.

#### getCreateRevision

    long getCreateRevision()

     create_revision is the creation revision of the given key

`int64 create_revision = 5;`

Returns:
  The createRevision.

#### getModRevision

    long getModRevision()

     mod_revision is the last modified revision of the given key.

`int64 mod_revision = 6;`

Returns:
  The modRevision.

#### getValue

    com.google.protobuf.ByteString getValue()

     value is the value of the given key, in bytes.

`bytes value = 7;`

Returns:
  The value.

#### getRangeEnd

    com.google.protobuf.ByteString getRangeEnd()

     range_end compares the given target to all keys in the range [key, range_end).
     See RangeRequest for more details on key ranges.

`bytes range_end = 8;`

Returns:
  The rangeEnd.

#### getTargetUnionCase

    Compare.TargetUnionCase getTargetUnionCase()